package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractSweepcodeLinkRequest struct {
	ContractInfo  *common.ContractRequest `json:"contractInfo"`
	SignatoryInfo *common.SignatoryInfo   `json:"signatoryInfo,omitempty"`
}

func (obj ContractSweepcodeLinkRequest) GetUrl() string {
	return "/contract/sweepcode/link"
}

func (obj ContractSweepcodeLinkRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
